/**********************************************************************
 * CD Jukebox by Nathan Strong (gblues@jps.net)
 *
 * This software is covered by the GNU Public License. See COPYING
 * file for details on the license. All code contained in these files
 * is (c) 1999 Nathan Strong.
 **********************************************************************/

#include "main.h"

CD_TRACK *track_free;

CD_TRACK *new_track(void)
{
  static CD_TRACK track_zero;
  CD_TRACK *track;

  if( track_free == NULL )
  {
    track = malloc( sizeof *track );
  }
  else
  {
    track      = track_free;
    track_free = track_free->next;
  }
  *track = track_zero;
  return track;
}

void free_track(CD_TRACK *track)
{
  track->next = track_free;
  track_free  = track;
}
